Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
Regular Contributor
Guillaume_LACHAUD
Posts: 60
Registered: ‎12-19-2012
My Carrier: SFR
Accepted Solution

Google Maps API v2

Hi !

 

As Google just released its new Google Maps API, I wondered if it was compatible with Blackberry 10.

 

Thanks

Please use plain text.
Contributor
abenoit
Posts: 16
Registered: ‎01-16-2013
My Carrier: Free

Re: Google Maps API v2

I'm not really an expert, but http://developer.blackberry.com/android/apisupport/unsupportedapi_blackberry10_software_features.htm... lists the whole com.google.android.maps package as "unsupported", so I guess Google Maps API v2 won't be available.

Please use plain text.
Regular Contributor
Guillaume_LACHAUD
Posts: 60
Registered: ‎12-19-2012
My Carrier: SFR

Re: Google Maps API v2

As described here, http://developer.android.com/google/play-services/setup.html Maps V2 heavily relies on Google Play Services APK, which I am pretty sure BB10 doesn't have.

Please use plain text.
Contributor
_shivam
Posts: 31
Registered: ‎08-25-2012
My Carrier: none

Re: Google Maps API v2

No google maps android Api v2 is not supported by BB 10. Use google maps javascript Api v3 in webworks platform.

Please use plain text.
Contributor
abenoit
Posts: 16
Registered: ‎01-16-2013
My Carrier: Free

Re: Google Maps API v2

"Use google maps javascript Api v3 in webworks platform" => So that means no solution for Android Runtime Development ?

Please use plain text.